%define clearlooks_version 0.5

Summary: Themes collection for GNOME
Name: gnome-themes
Version: 2.10.1
Release: 2 
URL: http://ftp.gnome.org/pub/GNOME/sources/gnome-themes/
Source: %{name}-%{version}.tar.bz2
Source1: clearlooks-%{clearlooks_version}.tar.bz2
Source2: MCity-clearlooks-metacity-%{clearlooks_version}.tar.gz
Patch1: gnome-themes-hidden.patch
Patch2: gnome-themes-2.10.0-clearlooks.patch
Patch3: clearlooks-0.5-inherit-bluecurve.patch
License: LGPL
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-root

# Need a version built with 2.4.0 gtk binary age
Requires: gtk2-engines >= 2.6.0-1
Prereq: gtk2 >= 2.6.2
BuildRequires: autoconf
BuildRequires: automake17
BuildRequires: intltool
BuildRequires: pkgconfig
BuildRequires: gtk2-devel
BuildRequires: libtool
BuildRequires: gettext
BuildRequires: gtk2-engines >= 2.6.0-1

%description
Themes collection for GNOME

%prep
%setup -q
%patch1 -p1 -b .hidden
tar xjf %{SOURCE1}
pushd clearlooks-%{clearlooks_version}
%patch3 -p1 -b .inherit-bluecurve
popd

mv clearlooks-%{clearlooks_version}/themes/Clearlooks/icons icon-themes/Clearlooks
mv clearlooks-%{clearlooks_version}/themes/Clearlooks desktop-themes
mv clearlooks-%{clearlooks_version}/themes/Clearlooks-DeepSky gtk-themes
mv clearlooks-%{clearlooks_version}/themes/Clearlooks-Olive gtk-themes
tar xzf %{SOURCE2} -C metacity-themes
%patch2 -p1 -b .clearlooks

%build
autoconf
automake-1.7
%configure
export tagname=CC
make LIBTOOL=/usr/bin/libtool

%install
rm -rf $RPM_BUILD_ROOT
export tagname=CC
%makeinstall LIBTOOL=/usr/bin/libtool

/bin/rm -f $RPM_BUILD_ROOT%{_datadir}/themes/ThinIce/README.html
/bin/rm -f $RPM_BUILD_ROOT%{_datadir}/themes/ThinIce/ICON.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post 
for dir in /usr/share/icons/*; do 
  if test -d "$dir"; then 
    /usr/bin/gtk-update-icon-cache --quiet $dir
  fi
done

%files -f %{name}.lang
%defattr(-,root,root)
%{_datadir}/icons/*
%{_datadir}/themes/*
%doc AUTHORS ChangeLog COPYING NEWS README

%changelog
* Wed Apr 27 2005 John (J5) Palmieri <johnp@redhat.com> - 2.10.1-2
- Patch Clearlooks icon theme to inherit from bluecurve

* Tue Apr 12 2005 Matthias Clasen <mclasen@redhat.com> - 2.10.1-1
- Update to 2.10.1

* Thu Mar 17 2005 Matthias Clasen <mclasen@redhat.com> - 2.10.0-2
- Include Clearlooks themes, version 0.4

* Mon Mar 14 2005 Matthias Clasen <mclasen@redhat.com> - 2.10.0-1
- Update to 2.10.0

* Sun Mar  6 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.95-2
- Fix %%post script (#146661)

* Sat Mar  5 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.95-1
- Update to 2.9.95

* Wed Mar  2 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.94-1
- Update to 2.9.94

* Sat Feb  5 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.90-3
- Silence gtk-update-icon-cache

* Fri Jan 26 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.90-2
- Prereq gtk2 since we use gtk-update-icon-cache in %%post

* Wed Jan 26 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.90-1
- update to 2.9.90
- update icon caches in %%post

* Wed Sep 22 2004 Alexander Larsson <alexl@redhat.com> - 2.8.0-1
- update to 2.8.0

* Tue Aug 31 2004 Alex Larsson <alexl@redhat.com> 2.7.92-1
- update to 2.7.92
- remove autogenerated files from hidden patch

* Fri Aug 13 2004 Alexander Larsson <alexl@redhat.com> - 2.7.90-1
- update to 2.7.90

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun Apr 11 2004 Warren Togami <wtogami@redhat.com> 2.6.0-2
- BR autoconf automake14 intltool pkgconfig gtk2-devel libtool gettext

* Wed Mar 31 2004 Mark McLoughlin <markmc@redhat.com> 2.6.0-1
- Update to 2.6.0

* Wed Mar 17 2004 Alex Larsson <alexl@redhat.com> 2.5.92-1
- update to 2.5.92
- gtk binary age changed

* Wed Mar 10 2004 Alex Larsson <alexl@redhat.com> 2.5.91-1
- update to 2.5.91

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb 25 2004 Alexander Larsson <alexl@redhat.com> 2.5.4-1
- update to 2.5.4

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 27 2004 Jonathan Blandford <jrb@redhat.com> 2.5.3-1
- new version
- new version

* Fri Oct  3 2003 Alexander Larsson <alexl@redhat.com> 2.4.0-1
- 2.4.0

* Thu Aug 14 2003 Alexander Larsson <alexl@redhat.com> 2.3.3-1
- update to gnome 2.3

* Tue Aug  5 2003 Elliot Lee <sopwith@redhat.com> 2.2-7
- Fix libtool

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat May 24 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- fix find_lang

* Wed Apr 16 2003 Than Ngo <than@redhat.com> 2.2-4
- make gnome-icon themes hidden in KDE

* Wed Feb 19 2003 Jonathan Blandford <jrb@redhat.com> 2.2-2
- remove a thinice file also included in gtk-engines, #84398

* Wed Feb 12 2003 Bill Nottingham <notting@redhat.com>
- fix group typo

* Tue Feb  4 2003 Jonathan Blandford <jrb@redhat.com>
- new release.  This one includes a thinice tarball.

* Thu Jan 30 2003 Jonathan Blandford <jrb@redhat.com>
- new version

* Tue Jan 28 2003 Jonathan Blandford <jrb@redhat.com>
- Initial build.


